Magick++: Magick::ChannelMoments Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::ChannelMoments Class Reference

`#include <ChannelMoments.h>`

## Public Member Functions
| ChannelMoments (void)
| ChannelMoments (const ChannelMoments &channelMoments_)
| ~ChannelMoments (void)
| ChannelMoments (const ChannelType channel_, const MagickCore::ChannelMoments *channelMoments_)
double | centroidX (void) const
double | centroidY (void) const
ChannelType | channel (void) const
double | ellipseAxisX (void) const
double | ellipseAxisY (void) const
double | ellipseAngle (void) const
double | ellipseEccentricity (void) const
double | ellipseIntensity (void) const
double | huInvariants (const size_t index_) const

## Detailed Description

Definition at line 18 of file ChannelMoments.h.

## Constructor & Destructor Documentation

Magick::ChannelMoments::ChannelMoments | ( | void |  | ) |

Definition at line 18 of file ChannelMoments.cpp.

Magick::ChannelMoments::ChannelMoments | ( | const ChannelMoments & | channelMoments_ | ) |

Definition at line 31 of file ChannelMoments.cpp.

Magick::ChannelMoments::~ChannelMoments | ( | void |  | ) |

Definition at line 44 of file ChannelMoments.cpp.

Magick::ChannelMoments::ChannelMoments | ( | const ChannelType | channel_,
|  | const MagickCore::ChannelMoments * | channelMoments_
| ) |  |

Definition at line 48 of file ChannelMoments.cpp.

## Member Function Documentation

double Magick::ChannelMoments::centroidX | ( | void |  | ) | const

Definition at line 67 of file ChannelMoments.cpp.

double Magick::ChannelMoments::centroidY | ( | void |  | ) | const

Definition at line 72 of file ChannelMoments.cpp.

Magick::ChannelType Magick::ChannelMoments::channel | ( | void |  | ) | const

Definition at line 77 of file ChannelMoments.cpp.

double Magick::ChannelMoments::ellipseAngle | ( | void |  | ) | const

Definition at line 92 of file ChannelMoments.cpp.

double Magick::ChannelMoments::ellipseAxisX | ( | void |  | ) | const

Definition at line 82 of file ChannelMoments.cpp.

double Magick::ChannelMoments::ellipseAxisY | ( | void |  | ) | const

Definition at line 87 of file ChannelMoments.cpp.

double Magick::ChannelMoments::ellipseEccentricity | ( | void |  | ) | const

Definition at line 97 of file ChannelMoments.cpp.

double Magick::ChannelMoments::ellipseIntensity | ( | void |  | ) | const

Definition at line 102 of file ChannelMoments.cpp.

double Magick::ChannelMoments::huInvariants | ( | const size_t | index_ | ) | const

Definition at line 107 of file ChannelMoments.cpp.

The documentation for this class was generated from the following files:

- ChannelMoments.h
- ChannelMoments.cpp